# Uses of Class
org.snpeff.interval.Gene

Packages that use Gene
Package
Description
org.snpeff.geneSets
org.snpeff.interval
org.snpeff.snpEffect
org.snpeff.snpEffect.factory
org.snpeff.stats
org.snpeff.svg
org.snpeff.vcf

## Uses of Gene in org.snpeff.geneSets

Methods in org.snpeff.geneSets with parameters of type Gene
Modifier and Type
Method
Description
`void`
GeneStats.`add(Gene gene)`
`void`
GeneStats.`add(Gene gene, boolean useGeneId)`
Add a gene, update statistics

## Uses of Gene in org.snpeff.interval

Classes in org.snpeff.interval that implement interfaces with type arguments of type Gene
Modifier and Type
Class
Description
`class`
`Genes`
A collection of genes (marker intervals) Note: It is assumed that all genes belong to the same genome
Methods in org.snpeff.interval that return Gene
Modifier and Type
Method
Description
`Gene`
Gene.`circularClone()`
In a circular genome, a gene can have negative coordinates or crosses over chromosome end.
`Gene`
Gene.`cloneShallow()`
`Gene`
Genes.`get(String geneId)`
Obtain a gene interval
`Gene`
Transcript.`getGene()`
`Gene`
Genes.`getGeneByName(String geneName)`
Obtain a gene by GeneName WARNING: The first match is returned.
Methods in org.snpeff.interval that return types with arguments of type Gene
Modifier and Type
Method
Description
`List<Gene>`
Genome.`getGenesSorted()`
Create a sorted list of genes (sorted by gene Id)
`List<Gene>`
Genome.`getGenesSortedPos()`
Create a sorted list of genes (sorted by genomic position)
`Iterator<Gene>`
Genes.`iterator()`
`Collection<Gene>`
Genes.`sorted()`
`Collection<Gene>`
Genes.`values()`
Methods in org.snpeff.interval with parameters of type Gene
Modifier and Type
Method
Description
`void`
Genes.`add(Gene gene)`
Add a gene interval to this collection
`static Intergenic`
Intergenic.`createIntergenic(Gene geneLeft, Gene geneRight)`
Creates an intergenic marker based on the "space" between two genes
Constructors in org.snpeff.interval with parameters of type Gene
Modifier
Constructor
Description
``
`Transcript(Gene gene, int start, int end, boolean strandMinus, String id)`

## Uses of Gene in org.snpeff.snpEffect

Methods in org.snpeff.snpEffect that return Gene
Modifier and Type
Method
Description
`Gene`
SnpEffectPredictor.`getGene(String geneId)`
Obtain a gene by geneId
`Gene`
VariantEffect.`getGene()`
`Gene`
VariantEffectFusion.`getGene()`
`Gene`
VariantEffectStructural.`getGene()`
`Gene`
VariantEffectFusion.`getGeneLeft()`
`Gene`
VariantEffectFusion.`getGeneRight()`
`Gene`
SnpEffectPredictor.`queryClosestGene(Marker inputInterval)`
Find closest gene to this marker
Methods in org.snpeff.snpEffect that return types with arguments of type Gene
Modifier and Type
Method
Description
`List<Gene>`
VariantEffect.`getGenes()`
`List<Gene>`
VariantEffectStructural.`getGenes()`
Methods in org.snpeff.snpEffect with parameters of type Gene
Modifier and Type
Method
Description
`void`
SnpEffectPredictor.`add(Gene gene)`
Add a gene interval

## Uses of Gene in org.snpeff.snpEffect.factory

Methods in org.snpeff.snpEffect.factory that return Gene
Modifier and Type
Method
Description
`protected Gene`
SnpEffPredictorFactoryGff.`addGene(GffMarker gffMarker)`
`protected Gene`
SnpEffPredictorFactoryGff.`addGene(GffMarker gffMarker, boolean findNextGeneId)`
Create and add a gene based on GffMarker
`protected Gene`
SnpEffPredictorFactory.`findGene(String id)`
`protected Gene`
SnpEffPredictorFactory.`findGene(String geneId, String id)`
`protected Gene`
SnpEffPredictorFactoryGff.`findOrCreateGene(GffMarker gffMarker)`
Find or create a gene based on GffMarker
Methods in org.snpeff.snpEffect.factory with parameters of type Gene
Modifier and Type
Method
Description
`protected void`
SnpEffPredictorFactory.`add(Gene gene)`
Add a Gene

## Uses of Gene in org.snpeff.stats

Methods in org.snpeff.stats with parameters of type Gene
Modifier and Type
Method
Description
`double`
ObservedOverExpected.`expected(Gene g)`
Expected number of sequences (average between plus and minus strand)
`int`
ObservedOverExpected.`observed(Gene g)`
Observed sequence (average between plus and minus strand)
`double`
ObservedOverExpected.`oe(Gene g)`
Observed over expected ratio
`void`
GeneCountByTypeTable.`sample(Gene gene, Transcript tr, String type, VariantEffect variantEffect)`
Sample this invalid input: '<'gene, marker, type, variant> tuple to update statistics

## Uses of Gene in org.snpeff.svg

Constructors in org.snpeff.svg with parameters of type Gene
Modifier
Constructor
Description
``
`SvgGene(Gene gene, Svg svg)`

## Uses of Gene in org.snpeff.vcf

Constructors in org.snpeff.vcf with parameters of type Gene
Modifier
Constructor
Description
``
`VcfLof(Gene gene, double percentAffected)`
``
`VcfNmd(Gene gene, double percentAffected)`